JaxbResultsetElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbResultsetElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbResultsetElement

    public class JaxbResultsetElement

extends Object

Java class for resultset-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="resultset-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element name="return-scalar" type="{http://www.hibernate.org/xsd/hibernate-mapping}return-scalar-element"/>
             <element name="return" type="{http://www.hibernate.org/xsd/hibernate-mapping}return-element"/>
             <element name="return-join" type="{http://www.hibernate.org/xsd/hibernate-mapping}return-join-element"/>
             <element name="load-collection" type="{http://www.hibernate.org/xsd/hibernate-mapping}load-collection-element"/>
           </choice>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `name`
`protected List<Object>` | `returnScalarOrReturnOrReturnJoin`

Constructor Summary
`JaxbResultsetElement()`

Method Summary
`String` | `getName()` Gets the value of the name property.
`List<Object>` | `getReturnScalarOrReturnOrReturnJoin()` Gets the value of the returnScalarOrReturnOrReturnJoin property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returnScalarOrReturnOrReturnJoin

    protected List<Object> returnScalarOrReturnOrReturnJoin

### name

    protected String name

Constructor Detail

### JaxbResultsetElement

    public JaxbResultsetElement()

Method Detail

### getReturnScalarOrReturnOrReturnJoin

    public List<Object> getReturnScalarOrReturnOrReturnJoin()

  Gets the value of the returnScalarOrReturnOrReturnJoin property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the returnScalarOrReturnOrReturnJoin property.

  For example, to add a new item, do as follows:

          getReturnScalarOrReturnOrReturnJoin().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbLoadCollectionElement` `JaxbReturnJoinElement` `JaxbReturnElement` `JaxbReturnScalarElement`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.